--- results/org.apache.nifi/nifi/2.0.0-M4/oss-rebuild/reference/nifi-kudu-nar-2.0.0-M4-nar-extension-manifest.xml:extension-manifest.xml	2025-04-04 15:05:45.557475470 +0000
+++ results/org.apache.nifi/nifi/2.0.0-M4/oss-rebuild/rebuild/nifi-kudu-nar-2.0.0-M4-nar-extension-manifest.xml:extension-manifest.xml	2025-04-04 15:05:50.577396651 +0000
@@ -4,4 +4,4 @@
    AUTO_FLUSH_BACKGROUND: the call returns when the operation has been added to the buffer. This call should normally perform only fast in-memory
    operations but it may have to wait when the buffer is full and there's another buffer being flushed.
    "MANUAL_FLUSH: the call returns when the operation has been added to the buffer, else it throws a KuduException if the buffer is full.
-</description><defaultValue>AUTO_FLUSH_BACKGROUND</defaultValue><allowableValues><allowableValue><displayName>AUTO_FLUSH_SYNC</displayName><value>AUTO_FLUSH_SYNC</value><description></description></allowableValue><allowableValue><displayName>AUTO_FLUSH_BACKGROUND</displayName><value>AUTO_FLUSH_BACKGROUND</value><description></description></allowableValue><allowableValue><displayName>MANUAL_FLUSH</displayName><value>MANUAL_FLUSH</value><description></description></allowableValue></allowableValues><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>FlowFiles per Batch</name><displayName>FlowFiles per Batch</displayName><description>The maximum number of FlowFiles to process in a single execution, between 1 and 100,000. Depending on your memory size, and data size per row set an appropriate batch size for the number of FlowFiles to process per client connection setup.Gradually increase this number, only if your FlowFiles typically contain a few records.</description><defaultValue>1</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>Batch Size</name><displayName>Max Records per Batch</displayName><description>The maximum number of Records to process in a single Kudu-client batch, between 1 - 100000. Depending on your memory size, and data size per row set an appropriate batch size. Gradually increase this number to find out the best one for best performances.</description><defaultValue>100</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>Ignore NULL</name><displayName>Ignore NULL</displayName><description>Ignore NULL on Kudu Put Operation, Update only non-Null columns if set true</description><defaultValue>false</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>FLOWFILE_ATTRIBUTES</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-operations-timeout-ms</name><displayName>Kudu Operation Timeout</displayName><description>Default timeout used for user operations (using sessions and scanners)</description><defaultValue>30000ms</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-keep-alive-period-timeout-ms</name><displayName>Kudu Keep Alive Period Timeout</displayName><description>Default timeout used for user operations</description><defaultValue>15000ms</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>worker-count</name><displayName>Kudu Client Worker Count</displayName><description>The maximum number of worker threads handling Kudu client read and write operations. Defaults to the number of available processors.</description><defaultValue>16</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-sasl-protocol-name</name><displayName>Kudu SASL Protocol Name</displayName><description>The SASL protocol name to use for authenticating via Kerberos. Must match the service principal name.</description><defaultValue>kudu</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property></properties><relationships><relationship><name>success</name><description>A FlowFile is routed to this relationship after it has been successfully stored in Kudu</description><autoTerminated>false</autoTerminated></relationship><relationship><name>failure</name><description>A FlowFile is routed to this relationship if it cannot be sent to Kudu</description><autoTerminated>false</autoTerminated></relationship></relationships><writesAttributes><writesAttribute><name>record.count</name><description>Number of records written to Kudu</description></writesAttribute></writesAttributes><supportsBatching>true</supportsBatching><inputRequirement>INPUT_REQUIRED</inputRequirement><systemResourceConsiderations><systemResourceConsideration><resource>MEMORY</resource><description>An instance of this component can cause high usage of this system resource.  Multiple instances or high concurrency settings may result a degradation of performance.</description></systemResourceConsideration></systemResourceConsiderations></extension><extension><name>org.apache.nifi.controller.kudu.KuduLookupService</name><type>CONTROLLER_SERVICE</type><description>Lookup a record from Kudu Server associated with the specified key. Binary columns are base64 encoded. Only one matched row will be returned</description><tags><tag>lookup</tag><tag>enrich</tag><tag>key</tag><tag>value</tag><tag>kudu</tag></tags><properties><property><name>kudu-lu-masters</name><displayName>Kudu Masters</displayName><description>Comma separated addresses of the Kudu masters to connect to.</description><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>Kerberos User Service</name><displayName>Kerberos User Service</displayName><description>Specifies the Kerberos Credentials to use for authentication</description><controllerServiceDefinition><className>org.apache.nifi.kerberos.KerberosUserService</className><groupId>org.apache.nifi</groupId><artifactId>nifi-standard-services-api-nar</artifactId><version>2.0.0-M4</version></controllerServiceDefinition><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-operations-timeout-ms</name><displayName>Kudu Operation Timeout</displayName><description>Default timeout used for user operations (using sessions and scanners)</description><defaultValue>30000ms</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-replica-selection</name><displayName>Kudu Replica Selection</displayName><description>Policy with which to choose amongst multiple replicas</description><defaultValue>CLOSEST_REPLICA</defaultValue><allowableValues><allowableValue><displayName>CLOSEST_REPLICA</displayName><value>CLOSEST_REPLICA</value><description>Select the closest replica to the client. Replicas are classified from closest to furthest as follows: 1) Local replicas 2) Replicas whose tablet server has the same location as the client 3) All other replicas</description></allowableValue><allowableValue><displayName>LEADER_ONLY</displayName><value>LEADER_ONLY</value><description>Select the LEADER replica</description></allowableValue></allowableValues><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-table-name</name><displayName>Kudu Table Name</displayName><description>Name of the table to access.</description><defaultValue>default</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-return-cols</name><displayName>Kudu Return Columns</displayName><description>A comma-separated list of columns to return when scanning. To return all columns set to "*"</description><defaultValue>*</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property></properties><providedServiceAPIs><providedServiceAPI><className>org.apache.nifi.lookup.LookupService</className><groupId>org.apache.nifi</groupId><artifactId>nifi-standard-services-api-nar</artifactId><version>2.0.0-M4</version></providedServiceAPI><providedServiceAPI><className>org.apache.nifi.lookup.RecordLookupService</className><groupId>org.apache.nifi</groupId><artifactId>nifi-standard-services-api-nar</artifactId><version>2.0.0-M4</version></providedServiceAPI></providedServiceAPIs></extension></extensions></extensionManifest>
\ No newline at end of file
+</description><defaultValue>AUTO_FLUSH_BACKGROUND</defaultValue><allowableValues><allowableValue><displayName>AUTO_FLUSH_SYNC</displayName><value>AUTO_FLUSH_SYNC</value><description></description></allowableValue><allowableValue><displayName>AUTO_FLUSH_BACKGROUND</displayName><value>AUTO_FLUSH_BACKGROUND</value><description></description></allowableValue><allowableValue><displayName>MANUAL_FLUSH</displayName><value>MANUAL_FLUSH</value><description></description></allowableValue></allowableValues><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>FlowFiles per Batch</name><displayName>FlowFiles per Batch</displayName><description>The maximum number of FlowFiles to process in a single execution, between 1 and 100,000. Depending on your memory size, and data size per row set an appropriate batch size for the number of FlowFiles to process per client connection setup.Gradually increase this number, only if your FlowFiles typically contain a few records.</description><defaultValue>1</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>Batch Size</name><displayName>Max Records per Batch</displayName><description>The maximum number of Records to process in a single Kudu-client batch, between 1 - 100000. Depending on your memory size, and data size per row set an appropriate batch size. Gradually increase this number to find out the best one for best performances.</description><defaultValue>100</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>Ignore NULL</name><displayName>Ignore NULL</displayName><description>Ignore NULL on Kudu Put Operation, Update only non-Null columns if set true</description><defaultValue>false</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>FLOWFILE_ATTRIBUTES</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-operations-timeout-ms</name><displayName>Kudu Operation Timeout</displayName><description>Default timeout used for user operations (using sessions and scanners)</description><defaultValue>30000ms</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-keep-alive-period-timeout-ms</name><displayName>Kudu Keep Alive Period Timeout</displayName><description>Default timeout used for user operations</description><defaultValue>15000ms</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>worker-count</name><displayName>Kudu Client Worker Count</displayName><description>The maximum number of worker threads handling Kudu client read and write operations. Defaults to the number of available processors.</description><defaultValue>36</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-sasl-protocol-name</name><displayName>Kudu SASL Protocol Name</displayName><description>The SASL protocol name to use for authenticating via Kerberos. Must match the service principal name.</description><defaultValue>kudu</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property></properties><relationships><relationship><name>success</name><description>A FlowFile is routed to this relationship after it has been successfully stored in Kudu</description><autoTerminated>false</autoTerminated></relationship><relationship><name>failure</name><description>A FlowFile is routed to this relationship if it cannot be sent to Kudu</description><autoTerminated>false</autoTerminated></relationship></relationships><writesAttributes><writesAttribute><name>record.count</name><description>Number of records written to Kudu</description></writesAttribute></writesAttributes><supportsBatching>true</supportsBatching><inputRequirement>INPUT_REQUIRED</inputRequirement><systemResourceConsiderations><systemResourceConsideration><resource>MEMORY</resource><description>An instance of this component can cause high usage of this system resource.  Multiple instances or high concurrency settings may result a degradation of performance.</description></systemResourceConsideration></systemResourceConsiderations></extension><extension><name>org.apache.nifi.controller.kudu.KuduLookupService</name><type>CONTROLLER_SERVICE</type><description>Lookup a record from Kudu Server associated with the specified key. Binary columns are base64 encoded. Only one matched row will be returned</description><tags><tag>lookup</tag><tag>enrich</tag><tag>key</tag><tag>value</tag><tag>kudu</tag></tags><properties><property><name>kudu-lu-masters</name><displayName>Kudu Masters</displayName><description>Comma separated addresses of the Kudu masters to connect to.</description><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>Kerberos User Service</name><displayName>Kerberos User Service</displayName><description>Specifies the Kerberos Credentials to use for authentication</description><controllerServiceDefinition><className>org.apache.nifi.kerberos.KerberosUserService</className><groupId>org.apache.nifi</groupId><artifactId>nifi-standard-services-api-nar</artifactId><version>2.0.0-M4</version></controllerServiceDefinition><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-operations-timeout-ms</name><displayName>Kudu Operation Timeout</displayName><description>Default timeout used for user operations (using sessions and scanners)</description><defaultValue>30000ms</defaultValue><required>false</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-replica-selection</name><displayName>Kudu Replica Selection</displayName><description>Policy with which to choose amongst multiple replicas</description><defaultValue>CLOSEST_REPLICA</defaultValue><allowableValues><allowableValue><displayName>CLOSEST_REPLICA</displayName><value>CLOSEST_REPLICA</value><description>Select the closest replica to the client. Replicas are classified from closest to furthest as follows: 1) Local replicas 2) Replicas whose tablet server has the same location as the client 3) All other replicas</description></allowableValue><allowableValue><displayName>LEADER_ONLY</displayName><value>LEADER_ONLY</value><description>Select the LEADER replica</description></allowableValue></allowableValues><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>false</expressionLanguageSupported><expressionLanguageScope>NONE</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-table-name</name><displayName>Kudu Table Name</displayName><description>Name of the table to access.</description><defaultValue>default</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property><property><name>kudu-lu-return-cols</name><displayName>Kudu Return Columns</displayName><description>A comma-separated list of columns to return when scanning. To return all columns set to "*"</description><defaultValue>*</defaultValue><required>true</required><sensitive>false</sensitive><expressionLanguageSupported>true</expressionLanguageSupported><expressionLanguageScope>ENVIRONMENT</expressionLanguageScope><dynamicallyModifiesClasspath>false</dynamicallyModifiesClasspath><dynamic>false</dynamic></property></properties><providedServiceAPIs><providedServiceAPI><className>org.apache.nifi.lookup.LookupService</className><groupId>org.apache.nifi</groupId><artifactId>nifi-standard-services-api-nar</artifactId><version>2.0.0-M4</version></providedServiceAPI><providedServiceAPI><className>org.apache.nifi.lookup.RecordLookupService</className><groupId>org.apache.nifi</groupId><artifactId>nifi-standard-services-api-nar</artifactId><version>2.0.0-M4</version></providedServiceAPI></providedServiceAPIs></extension></extensions></extensionManifest>
\ No newline at end of file